// chapitre 4 pointeur membre.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"
#include "nommage.h"

int main(int argc, char* argv[])
{
	// Utilise le service de nommage ad-hoc
	Nommage nommage;

	// recherche d'un objet distant contre une url
	IObjetDistant*objet_distant=nommage.trouver("objet1");
	
	// appel d'une méthode à distance
	char*s=(char*) objet_distant->hello_world(0,NULL);
	printf("s=%s\n",s);

	// appel d'une autre méthode, à distance toujours
	int tab[2]={3,8};
	int*r=(int*) objet_distant->somme(2,(void*) tab );
	printf("3+8=%d\n",*r);
	return 0;
}

